# H4506Handler Class Reference

`#include <h450pdu.h>`

Inheritance diagram for H4506Handler:

[legend]
Collaboration diagram for H4506Handler:
[legend]

## Public Types

| e_cw_Idle
| e_cw_Invoked
enum | State { e_cw_Idle, e_cw_Invoked }

## Public Member Functions

| H4506Handler (H323Connection &connection, H450xDispatcher &dispatcher)
virtual PBoolean | OnReceivedInvoke (int opcode, int invokeId, int linkedId, PASN_OctetString *argument)
virtual void | OnReceivedCallWaitingIndication (int linkedId, PASN_OctetString *argument)
virtual void | AttachToAlerting (H323SignalPDU &pdu, unsigned numberOfCallsWaiting=0)
State | GetState () const

## Protected Attributes

State | cwState

## Member Enumeration Documentation

enum H4506Handler::State

Sub-state for call waiting.

Enumerator:

  e_cw_Idle |
  e_cw_Invoked |

## Constructor & Destructor Documentation

H4506Handler::H4506Handler | ( | H323Connection & | connection,
|  | H450xDispatcher & | dispatcher |
| ) |  |  |

## Member Function Documentation

virtual void H4506Handler::AttachToAlerting | ( | H323SignalPDU & | pdu,
|  | unsigned | numberOfCallsWaiting = `0` |
| ) |  |  | `[virtual]`

Attach a call waiting APDU to the passed in Alerting PDU. The second paramter is used to indicate to the calling user how many additional users are "camped on" the called user. A value of zero indicates to the calling user that he/she is the only user attempting to reach the busy called user.

State H4506Handler::GetState | ( |  | ) | const`[inline]`

virtual void H4506Handler::OnReceivedCallWaitingIndication | ( | int | linkedId,
|  | PASN_OctetString * | argument |
| ) |  |  | `[virtual]`

Handle an incoming Call Waiting Indication PDU

virtual PBoolean H4506Handler::OnReceivedInvoke | ( | int | opcode,
|  | int | invokeId,
|  | int | linkedId,
|  | PASN_OctetString * | argument |
| ) |  |  | `[virtual]`

Parameters:

  invokeId | InvokeId of operation (used in response)
  linkedId | InvokeId of associated operation (if any)
  argument | Parameters for the initiate operation

Implements H450xHandler.

## Field Documentation

State H4506Handler::cwState `[protected]`

The documentation for this class was generated from the following file:

- h450pdu.h